#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions( ${KDE_PLUGIN} )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/util
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES kdevctags2.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kdevpart_ctags2.rc DESTINATION ${DATA_INSTALL_DIR}/kdevctags2 )


##### libkdevctags2 (module) ####################

tde_add_kpart( libkdevctags2 AUTOMOC
  SOURCES
    ctags2_part.cpp readtags.c ctags2_widgetbase.ui
    ctags2_widget.cpp tags.cpp ctagskinds.cpp
    ctags2_settingswidgetbase.ui ctags2_settingswidget.cpp
    ctags2_selecttagfilebase.ui ctags2_selecttagfile.cpp
    ctags2_createtagfilebase.ui ctags2_createtagfile.cpp
  LINK tdevelop-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
